Package org.eclipse.cdt.core

# Class AbstractCExtension

java.lang.Object
org.eclipse.core.runtime.PlatformObject
org.eclipse.cdt.core.AbstractCExtension

All Implemented Interfaces:
  `ICExtension`, `org.eclipse.core.runtime.IAdaptable`

Direct Known Subclasses:
  `ElfParser`, `MachOParser64`, `PEParser64`, `ScannerProvider`, `SOMParser`, `XCOFF32Parser`

public abstract class AbstractCExtension extends org.eclipse.core.runtime.PlatformObject implements ICExtension

## Constructor Summary

Constructors
Constructor
Description
`AbstractCExtension()`

## Method Summary

Modifier and Type
Method
Description
`final ICConfigExtensionReference`
`getConfigExtensionReference()`
Returns the extension reference this extension was created from.
`final ICExtensionReference`
`getExtensionReference()`
Deprecated.
Use `getConfigExtensionReference()` instead.
`final org.eclipse.core.resources.IProject`
`getProject()`
Returns the project for which this extension is defined.
`void`
`setExtensionReference(ICExtensionReference extReference)`
Deprecated.
`void`
`setExtensionReference(ICConfigExtensionReference extReference)`
`void`
`setProject(org.eclipse.core.resources.IProject project)`

### Methods inherited from class org.eclipse.core.runtime.PlatformObject

`getAdapter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractCExtension

public AbstractCExtension()

## Method Details

### getProject

public final org.eclipse.core.resources.IProject getProject()
Returns the project for which this extension is defined.

Specified by:
  `getProject` in interface `ICExtension`
Returns:
  the project

### getExtensionReference

@Deprecated public final ICExtensionReference getExtensionReference()
Deprecated.
Use `getConfigExtensionReference()` instead.
May return `null`!

Specified by:
  `getExtensionReference` in interface `ICExtension`

### getConfigExtensionReference

public final ICConfigExtensionReference getConfigExtensionReference()
Returns the extension reference this extension was created from.

Specified by:
  `getConfigExtensionReference` in interface `ICExtension`
Since:
  5.2

### setProject

public void setProject(org.eclipse.core.resources.IProject project)

Restriction:
  This method is not intended to be referenced by clients.

### setExtensionReference

@Deprecated public void setExtensionReference(ICExtensionReference extReference)
Deprecated.

Restriction:
  This method is not intended to be referenced by clients.

### setExtensionReference

public void setExtensionReference(ICConfigExtensionReference extReference)

Restriction:
  This method is not intended to be referenced by clients.